Bug 1564228 - No decorations kwin in wayland
Summary: No decorations kwin in wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2018-04-05 18:10 UTC by bodhi.zazen
Modified: 2018-11-30 23:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:21:57 UTC
Type: Bug


Attachments (Terms of Use)

Description bodhi.zazen 2018-04-05 18:10:42 UTC
Description of problem: I am running KDE on Wayland and non-kde applications do not always get decorations with the top buttons (min / max / close)

Examples include utilities such as gnome calculator .

Generally this is an annoyance, but with some apps it is a problem for example Selinux Troubleshooter (aka SET)- can not close SET as there is no close button.


Version-Release number of selected component (if applicable):

kwin 5.12.4

Installed Packages
Name         : kwin
Version      : 5.12.4
Release      : 1.fc27
Arch         : x86_64
Size         : 67 k
Source       : kwin-5.12.4-1.fc27.src.rpm
Repo         : @System
From repo    : updates-testing
Summary      : KDE Window manager
URL          : https://userbase.kde.org/KWin
License      : GPLv2 or GPLv3
Description  : KDE Window manager.


How reproducible:

Always

Steps to Reproduce:

1. Start KDE on wayland
2. Open a non-kde app, try selinux troubleshooter


Actual results: No window decorations


Expected results: Window deorations


Additional info:

First, nice work on KDE / Wayland, overall it is great

Although this is likely not a blocker, I was advised on IRC to link to 

https://bugzilla.redhat.com/show_bug.cgi?id=1298494

and 

https://bugzilla.redhat.com/show_bug.cgi?id=1277927

Comment 1 Rex Dieter 2018-04-05 19:39:34 UTC
May need to investigate whether one contributing factor are app's that rely on client side decorations (CSD) or not.

Comment 2 bodhi.zazen 2018-10-30 22:40:59 UTC
This seems to be resolved with upgrade to Fedora 29

Comment 3 Ben Cotton 2018-11-27 13:52:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 23:21:57 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.